pgpginbypid.d(1m)

NAME
pgpginbypid.d - pages paged in by PID. Uses DTrace.

SYNOPSIS
pgpginbypid.d

DESCRIPTION
pgpginbypid.d reports the rumber of pages paged in from the disks by process ID. This is an indicator that processes are reading from the disks. This is based on a script from DExplorer. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

OS
Solaris

STABILITY
stable - needs the vminfo provider.

EXAMPLES

This samples until Ctrl-C is hit.
    # pgpginbypid.d

FIELDS

PID process ID

CMD process name

PAGES
    number of pages paged in

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
pgpginbypid.d will sample until Ctrl-C is hit.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
iosnoop(1m), dtrace(1M)